ros-rolling-rqt-graph (1.6.0-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 26 Apr 2024 00:00:00 -0000

ros-rolling-rqt-graph (1.5.3-1noble) noble; urgency=high

  * Update maintainer list in package.xml files (#92 <https://github.com/ros-visualization/rqt_graph/issues/92>)
  * Contributors: Michael Jeronimo

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 16 Apr 2024 00:00:00 -0000

ros-rolling-rqt-graph (1.5.2-1noble) noble; urgency=high

  * Add a test dependency on python3-pytest. (#91 <https://github.com/ros-visualization/rqt_graph/issues/91>)
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 07 Feb 2024 00:00:00 -0000

ros-rolling-rqt-graph (1.5.1-1noble) noble; urgency=high

  * Refresh rosgraph when params checkbox is clicked (#86 <https://github.com/ros-visualization/rqt_graph/issues/86>)
  * Contributors: Yadunund

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-rqt-graph (1.5.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-rqt-graph (1.4.1-1noble) noble; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#83 <https://github.com/ros-visualization/rqt_graph/issues/83>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-rqt-graph (1.4.0-1noble) noble; urgency=high

  * Minor cleanup (#80 <https://github.com/ros-visualization/rqt_graph/issues/80>)
  * Mirror rolling to galactic-devel
  * graph load/save into DOT file corrections for py3 (#78 <https://github.com/ros-visualization/rqt_graph/issues/78>)
  * Contributors: Audrow Nash, David V. Lu!!, mergify[bot]

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-rqt-graph (1.2.1-1noble) noble; urgency=high

  * Fix quiet filtering for node_topic graphs (#70 <https://github.com/ros-visualization/rqt_graph/issues/70>)
  * Contributors: David V. Lu!!

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-rqt-graph (1.2.0-1noble) noble; urgency=high

  * Make topics that have qos incompatibilities red in the graph, add information to the node tooltip (#61 <https://github.com/ros-visualization/rqt_graph/issues/61>)
  * Add node name, topic name, and endpoint kind to the qos edge tooltip (#60 <https://github.com/ros-visualization/rqt_graph/issues/60>)
  * Contributors: Ivan Santiago Paunovic

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 30 Mar 2021 00:00:00 -0000

ros-rolling-rqt-graph (1.1.1-1noble) noble; urgency=high

  * Update maintainers for ROS2 branches (#55 <https://github.com/ros-visualization/rqt_graph/issues/55>)
  * Contributors: Michael Jeronimo

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-rolling-rqt-graph (1.1.0-1noble) noble; urgency=high

  * add edge tooltip with QoS of publishers and subscribers (#53 <https://github.com/ros-visualization/rqt_graph/issues/53>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 23 Sep 2020 00:00:00 -0000

ros-rolling-rqt-graph (1.0.5-1noble) noble; urgency=high

  * install executable rqt_graph (#49 <https://github.com/ros-visualization/rqt_graph/issues/49>)
  * add setup.cfg with script install directories (#42 <https://github.com/ros-visualization/rqt_graph/issues/42>)
  * add pytest.ini so local tests don't display warning (#48 <https://github.com/ros-visualization/rqt_graph/issues/48>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Sep 2020 00:00:00 -0000

ros-rolling-rqt-graph (1.0.4-1noble) noble; urgency=high

  * skip removal of non-present tf connections (#40 <https://github.com/ros-visualization/rqt_graph/issues/40>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 06 Jan 2020 00:00:00 -0000

ros-rolling-rqt-graph (1.0.3-1noble) noble; urgency=high

  * Add topic edges for the Nodes Only view mode. (#35 <https://github.com/ros-visualization/rqt_graph/issues/35>)
  * Fix node not found during refresh when namespace is not empty (#34 <https://github.com/ros-visualization/rqt_graph/issues/34>)
  * Contributors: Dirk Thomas, Michel Hidalgo, Xavier BROQUERE

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-rolling-rqt-graph (1.0.2-1noble) noble; urgency=high

  * fix typo that caused a crash when trying to load a dot file (#31 <https://github.com/ros-visualization/rqt_graph/issues/31>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 03 Oct 2019 00:00:00 -0000

ros-rolling-rqt-graph (1.0.0-1noble) noble; urgency=high

  * copy base rosgraph.impl.graph file (#23 <https://github.com/ros-visualization/rqt_graph/issues/23>)
  * port to ROS 2 (#22 <https://github.com/ros-visualization/rqt_graph/issues/22>)
  * autopep8 and gitignore (#19 <https://github.com/ros-visualization/rqt_graph/issues/19>)
  * replace str() by unicode() (#17 <https://github.com/ros-visualization/rqt_graph/issues/17>)
  * edge class is unhashable so cannot put into a set, use a list instead (#16 <https://github.com/ros-visualization/rqt_graph/issues/16>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 04 Feb 2019 00:00:00 -0000

ros-rolling-rqt-graph (0.4.10-1noble) noble; urgency=high

  * add nested subnamespaces and more options to hide or group topics (#13 <https://github.com/ros-visualization/rqt_graph/issues/13>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 22 May 2018 00:00:00 -0000

ros-rolling-rqt-graph (0.4.9-1noble) noble; urgency=high

  * fixes for Python 3 (#10 <https://github.com/ros-visualization/rqt_graph/issues/10>)
  * only show namespaces if all entities have a common non-empty base path (#8 <https://github.com/ros-visualization/rqt_graph/issues/8>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 27 Jul 2017 00:00:00 -0000

ros-rolling-rqt-graph (0.4.8-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 24 Apr 2017 00:00:00 -0000

ros-rolling-rqt-graph (0.4.7-1noble) noble; urgency=high

  * fix statistics are enabled, regression of 0.4.4 (#428 <https://github.com/ros-visualization/rqt_common_plugins/issues/428>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 02 Mar 2017 00:00:00 -0000

ros-rolling-rqt-graph (0.4.6-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 27 Feb 2017 00:00:00 -0000

ros-rolling-rqt-graph (0.4.5-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 03 Feb 2017 00:00:00 -0000

ros-rolling-rqt-graph (0.4.4-1noble) noble; urgency=high

  * use Python 3 compatible syntax (#421 <https://github.com/ros-visualization/rqt_common_plugins/pull/421>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 24 Jan 2017 00:00:00 -0000

ros-rolling-rqt-graph (0.4.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 02 Nov 2016 00:00:00 -0000

ros-rolling-rqt-graph (0.4.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 19 Sep 2016 00:00:00 -0000

ros-rolling-rqt-graph (0.4.1-1noble) noble; urgency=high

  * fix mouse wheel delta in Qt 5 (#376 <https://github.com/ros-visualization/rqt_common_plugins/issues/376>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 16 May 2016 00:00:00 -0000

ros-rolling-rqt-graph (0.4.0-1noble) noble; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 27 Apr 2016 00:00:00 -0000

ros-rolling-rqt-graph (0.3.13-1noble) noble; urgency=high

  * Remove repeated prefixes from buttons
  * Prefix all node and topic names with n_ and t_ respectively, to allow dot to distinguish them
  * Contributors: Eric Wieser

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 08 Mar 2016 00:00:00 -0000

ros-rolling-rqt-graph (0.3.12-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 24 Jul 2015 00:00:00 -0000

ros-rolling-rqt-graph (0.3.11-1noble) noble; urgency=high

  * fix duplicate rendering of statistics information (#283 <https://github.com/ros-visualization/rqt_common_plugins/issues/283>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 30 Apr 2015 00:00:00 -0000

ros-rolling-rqt-graph (0.3.10-1noble) noble; urgency=high

  * update plugin scripts to use full name to avoid future naming collisions

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 01 Oct 2014 00:00:00 -0000

ros-rolling-rqt-graph (0.3.9-1noble) noble; urgency=high

  * fix rendering of namespace boxes (#266 <https://github.com/ros-visualization/rqt_common_plugins/issues/266>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 18 Aug 2014 00:00:00 -0000

ros-rolling-rqt-graph (0.3.8-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 15 Jul 2014 00:00:00 -0000

ros-rolling-rqt-graph (0.3.7-1noble) noble; urgency=high

  * fix compatibility with Groovy, use TopicStatistics only if available (#252 <https://github.com/ros-visualization/rqt_common_plugins/issues/252>)
  * export architecture_independent flag in package.xml (#254 <https://github.com/ros-visualization/rqt_common_plugins/issues/254>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 11 Jul 2014 00:00:00 -0000

ros-rolling-rqt-graph (0.3.6-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 02 Jun 2014 00:00:00 -0000

ros-rolling-rqt-graph (0.3.5-1noble) noble; urgency=high

  * add displaying of topic/connection statistics along edges (#214 <https://github.com/ros-visualization/rqt_common_plugins/pull/214>)
  * using CATKIN_ENABLE_TESTING to optionally configure tests (#220 <https://github.com/ros-visualization/rqt_common_plugins/pull/220>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 07 May 2014 00:00:00 -0000

ros-rolling-rqt-graph (0.3.4-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 28 Jan 2014 00:00:00 -0000

ros-rolling-rqt-graph (0.3.3-1noble) noble; urgency=high

  * add groups for rqt plugins, renamed some plugins (#167 <https://github.com/ros-visualization/rqt_common_plugins/issues/167>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 08 Jan 2014 00:00:00 -0000

ros-rolling-rqt-graph (0.3.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 14 Oct 2013 00:00:00 -0000

ros-rolling-rqt-graph (0.3.1-1noble) noble; urgency=high

  * modified zooming method to work better on high-res trackpads like Macbook Pros (#187 <https://github.com/ros-visualization/rqt_common_plugins/pull/187>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 09 Oct 2013 00:00:00 -0000

ros-rolling-rqt-graph (0.3.0-1noble) noble; urgency=high

  * fix rendering of icons on OS X (ros-visualization/rqt#83 <https://github.com/ros-visualization/rqt/issues/83>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 28 Aug 2013 00:00:00 -0000

ros-rolling-rqt-graph (0.2.17-1noble) noble; urgency=high

  * Improve checkbox labels and tooltips wording.

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 04 Jul 2013 00:00:00 -0000

ros-rolling-rqt-graph (0.2.16-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 09 Apr 2013 13:33:00 -0000

ros-rolling-rqt-graph (0.2.15-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 09 Apr 2013 00:02:00 -0000

ros-rolling-rqt-graph (0.2.14-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 14 Mar 2013 00:00:00 -0000

ros-rolling-rqt-graph (0.2.13-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 11 Mar 2013 22:14:00 -0000

ros-rolling-rqt-graph (0.2.12-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 11 Mar 2013 13:56:00 -0000

ros-rolling-rqt-graph (0.2.11-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 08 Mar 2013 00:00:00 -0000

ros-rolling-rqt-graph (0.2.10-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 22 Jan 2013 00:00:00 -0000

ros-rolling-rqt-graph (0.2.9-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Jan 2013 00:00:00 -0000

ros-rolling-rqt-graph (0.2.8-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 11 Jan 2013 00:00:00 -0000

ros-rolling-rqt-graph (0.2.7-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 24 Dec 2012 00:00:00 -0000

ros-rolling-rqt-graph (0.2.6-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 23 Dec 2012 00:00:00 -0000

ros-rolling-rqt-graph (0.2.5-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 21 Dec 2012 19:11:00 -0000

ros-rolling-rqt-graph (0.2.4-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 21 Dec 2012 01:13:00 -0000

ros-rolling-rqt-graph (0.2.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 21 Dec 2012 00:24:00 -0000

ros-rolling-rqt-graph (0.2.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 20 Dec 2012 18:29:00 -0000

ros-rolling-rqt-graph (0.2.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 20 Dec 2012 17:47:00 -0000

ros-rolling-rqt-graph (0.2.0-1noble) noble; urgency=high

  * first release of this package into groovy

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 20 Dec 2012 17:39:00 -0000


